Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AnimationManager Class Reference

アニメーションマネージャ More...

`#include <AnimationManager.h>`

Inheritance diagram for Lamp::AnimationManager:

List of all members.

## Public Member Functions
| AnimationManager ()
| コンストラクタ
virtual | ~AnimationManager ()
| デストラクタ
virtual AnimationSet * | createAnimationSet (const String &name)
| アニメーションセットの作成
virtual CameraAnimation * | createCamera (const String &name)
| カメラアニメーションの作成
virtual CameraAnimationData * | createCameraData (const String &name)
| カメラアニメーションデータの作成
virtual SceneNodeAnimation * | createSceneNode (const String &name)
| シーンノードアニメーションの作成
virtual SceneNodeAnimationData * | createSceneNodeData (const String &name)
| シーンノードアニメーションデータの作成
virtual CharacterModelAnimation * | createCharacterModel (const String &name)
| キャラクタモデルアニメーションの作成
virtual CharacterModelAnimationData * | createCharacterModelData (const String &name)
| キャラクタモデルアニメーションデータの作成
virtual void | destroy (Animation *animation)
| アニメーションの破棄
virtual int | destroyData (AnimationData *animationData)
| アニメーションデータの破棄
virtual int | clear ()
| クリア
virtual int | getCount ()
| アニメーション数の取得
virtual Animation * | get (int index)
| アニメーションの取得
virtual Animation * | search (String name)
| アニメーションの検索
virtual int | getDataCount ()
| アニメーションデータ数の取得
virtual AnimationData * | getData (int index)
| アニメーションデータの取得
virtual AnimationData * | searchData (String name)
| アニメーションデータの検索
virtual void | setRenamer (Renamer *renamer)
| アニメーションリネーマの設定
virtual Renamer * | getRenamer () const
| アニメーションリネーマの取得
virtual bool | existName (const String &name)
| アニメーション名が存在するかどうか
virtual String | rename (String sourceName)
| アニメーションのリネーム
virtual void | setDataRenamer (Renamer *renamer)
| アニメーションデータリネーマの設定
virtual Renamer * | getDataRenamer () const
| アニメーションデータリネーマの取得
virtual bool | existDataName (const String &name)
| アニメーションデータ名が存在するかどうか
virtual String | renameData (String sourceName)
| アニメーションデータのリネーム

## Detailed Description

アニメーションマネージャ

Definition at line 48 of file AnimationManager.h.

## Member Function Documentation

int Lamp::AnimationManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 178 of file AnimationManager.cpp. References Lamp::HashMap< String, AnimationData * >::clear(), Lamp::ArrayList< AnimationData * >::clear(), Lamp::HashMap< String, Animation * >::clear(), Lamp::ArrayList< Animation * >::clear(), get(), getCount(), getData(), and getDataCount(). Referenced by Lamp::SceneFramework::clearScene(), Lamp::SceneFramework::frameworkFinalize(), Lamp::SceneFramework::loadScene(), and ~AnimationManager().

AnimationSet * Lamp::AnimationManager::createAnimationSet | ( | const String & | name | ) | `[virtual]`

  | アニメーションセットの作成 空文字列を名前に指定するとエラーになります。 Parameters:
  name | 名前
Returns: アニメーションセット Definition at line 59 of file AnimationManager.cpp. References Lamp::ArrayList< Animation * >::add(), Lamp::Animation::getName(), Lamp::HashMap< String, Animation * >::put(), and rename(). Referenced by Lamp::AnimationSet::copyAnimationSet(), Lamp::TextAnimationLoader::readAnimationSet(), and Lamp::BinaryAnimationLoader::readAnimationSet().

CameraAnimation * Lamp::AnimationManager::createCamera | ( | const String & | name | ) | `[virtual]`

  | カメラアニメーションの作成 空文字列を名前に指定するとエラーになります。 Parameters:
  name | 名前
Returns: カメラアニメーション Definition at line 69 of file AnimationManager.cpp. References Lamp::ArrayList< Animation * >::add(), Lamp::Animation::getName(), Lamp::HashMap< String, Animation * >::put(), and rename(). Referenced by Lamp::CameraAnimation::copyCameraAnimation(), Lamp::TextAnimationLoader::readCameraAnimation(), and Lamp::BinaryAnimationLoader::readCameraAnimation().

CameraAnimationData * Lamp::AnimationManager::createCameraData | ( | const String & | name | ) | `[virtual]`

  | カメラアニメーションデータの作成 空文字列を名前に指定するとエラーになります。 Parameters:
  name | 名前
Returns: カメラアニメーションデータ Definition at line 78 of file AnimationManager.cpp. References Lamp::ArrayList< AnimationData * >::add(), Lamp::AnimationData::getName(), Lamp::HashMap< String, AnimationData * >::put(), and renameData(). Referenced by Lamp::CameraAnimationData::copyCameraAnimationData(), Lamp::TextAnimationLoader::readCameraAnimationData(), and Lamp::BinaryAnimationLoader::readCameraAnimationData().

CharacterModelAnimation * Lamp::AnimationManager::createCharacterModel | ( | const String & | name | ) | `[virtual]`

  | キャラクタモデルアニメーションの作成 空文字列を名前に指定するとエラーになります。 Parameters:
  name | 名前
Returns: キャラクタモデルアニメーション Definition at line 111 of file AnimationManager.cpp. References Lamp::ArrayList< Animation * >::add(), Lamp::Animation::getName(), Lamp::HashMap< String, Animation * >::put(), and rename(). Referenced by Lamp::CharacterModelAnimation::copyCharacterModelAnimation(), Lamp::TextAnimationLoader::readCharacterModelAnimation(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimation().

CharacterModelAnimationData * Lamp::AnimationManager::createCharacterModelData | ( | const String & | name | ) | `[virtual]`

  | キャラクタモデルアニメーションデータの作成 空文字列を名前に指定するとエラーになります。 Parameters:
  name | 名前
Returns: キャラクタモデルアニメーションデータ Definition at line 121 of file AnimationManager.cpp. References Lamp::ArrayList< AnimationData * >::add(), Lamp::AnimationData::getName(), Lamp::HashMap< String, AnimationData * >::put(), and renameData(). Referenced by Lamp::CharacterModelAnimationData::copyCharacterModelAnimationData(), Lamp::TextAnimationLoader::readCharacterModelAnimationData(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimationData().

SceneNodeAnimation * Lamp::AnimationManager::createSceneNode | ( | const String & | name | ) | `[virtual]`

  | シーンノードアニメーションの作成 空文字列を名前に指定するとエラーになります。 Parameters:
  name | 名前
Returns: シーンノードアニメーション Definition at line 90 of file AnimationManager.cpp. References Lamp::ArrayList< Animation * >::add(), Lamp::Animation::getName(), Lamp::HashMap< String, Animation * >::put(), and rename(). Referenced by Lamp::SceneNodeAnimation::copySceneNodeAnimation(), Lamp::TextAnimationLoader::readSceneNodeAnimation(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimation().

SceneNodeAnimationData * Lamp::AnimationManager::createSceneNodeData | ( | const String & | name | ) | `[virtual]`

  | シーンノードアニメーションデータの作成 空文字列を名前に指定するとエラーになります。 Parameters:
  name | 名前
Returns: シーンノードアニメーションデータ Definition at line 99 of file AnimationManager.cpp. References Lamp::ArrayList< AnimationData * >::add(), Lamp::AnimationData::getName(), Lamp::HashMap< String, AnimationData * >::put(), and renameData(). Referenced by Lamp::SceneNodeAnimationData::copySceneNodeAnimationData(), Lamp::TextAnimationLoader::readSceneNodeAnimationData(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimationData().

void Lamp::AnimationManager::destroy | ( | Animation * | animation | ) | `[virtual]`

  | アニメーションの破棄 アニメーションセットの場合は含まれるアニメーションも破棄されます。 Parameters:
  animation | 破棄するアニメーション
Definition at line 133 of file AnimationManager.cpp. References ErrorOut, Lamp::Animation::getName(), NULL, Lamp::HashMap< String, Animation * >::remove(), and Lamp::ArrayList< Animation * >::removeByValue().

int Lamp::AnimationManager::destroyData | ( | AnimationData * | animationData | ) | `[virtual]`

  | アニメーションデータの破棄 Parameters:
  animationData | 破棄するアニメーションデータ
Returns: リファレンスカウント Definition at line 159 of file AnimationManager.cpp. References Assert, ErrorOut, Lamp::AnimationData::getName(), Lamp::AnimationData::getReferenceCount(), NULL, Lamp::HashMap< String, AnimationData * >::remove(), and Lamp::ArrayList< AnimationData * >::removeByValue().

virtual bool Lamp::AnimationManager::existDataName | ( | const String & | name | ) | `[inline, virtual]`

  | アニメーションデータ名が存在するかどうか Parameters:
  name | 存在するかどうか調べる名前
Returns: 名前が存在すればtrue Definition at line 268 of file AnimationManager.h. References NULL, and searchData(). Referenced by renameData().

virtual bool Lamp::AnimationManager::existName | ( | const String & | name | ) | `[inline, virtual]`

  | アニメーション名が存在するかどうか Parameters:
  name | 存在するかどうか調べる名前
Returns: 名前が存在すればtrue Implements Lamp::Renamer::Database. Definition at line 232 of file AnimationManager.h. References NULL, and search(). Referenced by rename().

virtual Animation* Lamp::AnimationManager::get | ( | int | index | ) | `[inline, virtual]`

  | アニメーションの取得 Parameters:
  index | アニメーションのインデクス
Returns: アニメーション Definition at line 176 of file AnimationManager.h. References Lamp::ArrayList< Animation * >::get(). Referenced by clear(), Lamp::TextAnimationSaver::countObjects(), Lamp::BinaryAnimationSaver::countObjects(), Lamp::TextAnimationSaver::writeAnimationList(), Lamp::BinaryAnimationSaver::writeAnimationList(), Lamp::TextAnimationSaver::writeLink(), and Lamp::BinaryAnimationSaver::writeLink().

virtual int Lamp::AnimationManager::getCount | ( |  | ) | `[inline, virtual]`

| アニメーション数の取得 Returns: アニメーション数 Definition at line 169 of file AnimationManager.h. References Lamp::ArrayList< Animation * >::getCount(). Referenced by clear(), Lamp::TextAnimationSaver::countObjects(), Lamp::BinaryAnimationSaver::countObjects(), and ~AnimationManager().

virtual AnimationData* Lamp::AnimationManager::getData | ( | int | index | ) | `[inline, virtual]`

  | アニメーションデータの取得 Parameters:
  index | アニメーションデータのインデクス
Returns: アニメーションデータ Definition at line 199 of file AnimationManager.h. References Lamp::ArrayList< AnimationData * >::get(). Referenced by clear(), Lamp::TextAnimationSaver::countObjects(), Lamp::BinaryAnimationSaver::countObjects(), Lamp::TextAnimationSaver::writeAnimationList(), and Lamp::BinaryAnimationSaver::writeAnimationList().

virtual int Lamp::AnimationManager::getDataCount | ( |  | ) | `[inline, virtual]`

| アニメーションデータ数の取得 Returns: アニメーションデータ数 Definition at line 192 of file AnimationManager.h. References Lamp::ArrayList< AnimationData * >::getCount(). Referenced by clear(), Lamp::TextAnimationSaver::countObjects(), Lamp::BinaryAnimationSaver::countObjects(), and ~AnimationManager().

virtual Renamer* Lamp::AnimationManager::getDataRenamer | ( |  | ) | const`[inline, virtual]`

| アニメーションデータリネーマの取得 Returns: アニメーションデータリネーマ Definition at line 261 of file AnimationManager.h. Referenced by renameData().

virtual Renamer* Lamp::AnimationManager::getRenamer | ( |  | ) | const`[inline, virtual]`

| アニメーションリネーマの取得 Returns: アニメーションリネーマ Definition at line 225 of file AnimationManager.h. Referenced by rename().

virtual String Lamp::AnimationManager::rename | ( | String | sourceName | ) | `[inline, virtual]`

  | アニメーションのリネーム Parameters:
  sourceName | 元となる名前
Returns: 重複していない名前 Definition at line 241 of file AnimationManager.h. References ErrorOut, existName(), getRenamer(), Lamp::String::getSize(), and Lamp::Renamer::rename(). Referenced by createAnimationSet(), createCamera(), createCharacterModel(), and createSceneNode().

virtual String Lamp::AnimationManager::renameData | ( | String | sourceName | ) | `[inline, virtual]`

  | アニメーションデータのリネーム Parameters:
  sourceName | 元となる名前
Returns: 重複していない名前 Definition at line 277 of file AnimationManager.h. References ErrorOut, existDataName(), getDataRenamer(), Lamp::String::getSize(), and Lamp::Renamer::rename(). Referenced by createCameraData(), createCharacterModelData(), and createSceneNodeData().

virtual Animation* Lamp::AnimationManager::search | ( | String | name | ) | `[inline, virtual]`

  | アニメーションの検索 Parameters:
  name | 検索するアニメーション名
Returns: アニメーション Definition at line 183 of file AnimationManager.h. References Lamp::HashMap< String, Animation * >::get(). Referenced by existName(), Lamp::SceneFramework::loadScene(), Lamp::TextAnimationLoader::readAnimationSetLink(), Lamp::BinaryAnimationLoader::readAnimationSetLink(), Lamp::BinaryAnimationLoader::readCameraAnimationLink(), Lamp::TextAnimationLoader::readCameraLinkList(), Lamp::BinaryAnimationLoader::readCharacterModelAnimationLink(), Lamp::TextAnimationLoader::readCharacterModelLinkList(), Lamp::BinaryAnimationLoader::readSceneNodeAnimationLink(), and Lamp::TextAnimationLoader::readSceneNodeLinkList().

virtual AnimationData* Lamp::AnimationManager::searchData | ( | String | name | ) | `[inline, virtual]`

  | アニメーションデータの検索 Parameters:
  name | 検索するアニメーションデータ名
Returns: アニメーションデータ Definition at line 208 of file AnimationManager.h. References Lamp::HashMap< String, AnimationData * >::get(). Referenced by existDataName(), Lamp::BinaryAnimationLoader::readCameraAnimationLink(), Lamp::TextAnimationLoader::readCameraLinkList(), Lamp::BinaryAnimationLoader::readCharacterModelAnimationLink(), Lamp::TextAnimationLoader::readCharacterModelLinkList(), Lamp::BinaryAnimationLoader::readSceneNodeAnimationLink(), and Lamp::TextAnimationLoader::readSceneNodeLinkList().

void Lamp::AnimationManager::setDataRenamer | ( | Renamer * | renamer | ) | `[virtual]`

  | アニメーションデータリネーマの設定 Parameters:
  renamer | 設定するアニメーションデータリネーマ
Definition at line 206 of file AnimationManager.cpp. References Assert, NULL, and SafeDelete.

void Lamp::AnimationManager::setRenamer | ( | Renamer * | renamer | ) | `[virtual]`

  | アニメーションリネーマの設定 Parameters:
  renamer | 設定するアニメーションリネーマ
Definition at line 199 of file AnimationManager.cpp. References Assert, NULL, and SafeDelete.

The documentation for this class was generated from the following files:

- AnimationManager.h
- AnimationManager.cpp